---
sidebar_label: CLI.run
---

# CLI.run() method

#### Signature:

```typescript
class CLI {
  run(argv: string[]): Promise<void>;
}
```

## Parameters

| Parameter | Type       | Description |
| --------- | ---------- | ----------- |
| argv      | string\[\] |             |

**Returns:**

Promise&lt;void&gt;
